Wordcloud
Strategy: bbrsi_v3
Downloaded: 20220702
Stoploss: -0.171
30mSpotv2UnbiasedLink


Not Enough Data to display!

Average Overall
Not Enough Data! / Avg statistics not populated yet.
The BBRSIV3 strategy is a trading strategy that uses Bollinger Bands and the Relative Strength Index (RSI) as indicators to generate buy and sell signals. Here is a brief description of what the strategy does: populate_indicators: This function adds the RSI and Bollinger Bands indicators to the given DataFrame. It calculates the RSI using the dataframe's data and calculates the Bollinger Bands using the typical price of the dataframe with a window of 20 and 3 standard deviations.

populate_buy_trend: Based on the TA indicators, this function populates the buy signal for the dataframe.

It checks if the closing price is below the lower Bollinger Band and assigns a value of 1 to the 'buy' column of the dataframe.

populate_sell_trend: Similar to the previous function, this one populates the sell signal for the dataframe. It checks if the closing price is above the middle Bollinger Band and assigns a value of 1 to the 'sell' column of the dataframe. The strategy essentially looks for buying opportunities when the price is below the lower Bollinger Band and selling opportunities when the price is above the middle Bollinger Band. The RSI indicator is not directly used in generating the buy and sell signals in this code snippet.

startup_candle_count : 20
rsi: 21.857%
bb_lowerband: 0.911%
bb_middleband: 0.191%
bb_upperband: -0.496%
Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 198, in _new_conn sock = connection.create_connection( ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/connection.py", line 60, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/socket.py", line 962, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ socket.gaierror: [Errno -2] Name or service not known The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 793, in urlopen response = self._make_request( ^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 491, in _make_request raise new_e File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 467, in _make_request self._validate_conn(conn) File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1099, in _validate_conn conn.connect() File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 616, in connect self.sock = sock = self._new_conn() ^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 205, in _new_conn raise NameResolutionError(self.host, self, e) from e urllib3.exceptions.NameResolutionError: : Failed to resolve 'fapi.binance.com' ([Errno -2] Name or service not known) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send resp = conn.urlopen( ^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 847, in urlopen retries = retries.increment( ^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/retry.py", line 515, in increment raise MaxRetryError(_pool, url, reason) from reason # type: ignore[arg-type] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='fapi.binance.com', port=443): Max retries exceeded with url: /fapi/v1/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'fapi.binance.com' ([Errno -2] Name or service not known)")) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 598, in fetch response = self.session.request( ^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request resp = self.send(prep, **send_kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send r = adapter.send(request, **kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 519, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='fapi.binance.com', port=443): Max retries exceeded with url: /fapi/v1/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'fapi.binance.com' ([Errno -2] Name or service not known)")) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/exchange/exchange.py", line 486, in _load_markets self._markets = self._api.load_markets(params={}) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 1474, in load_markets markets = self.fetch_markets(params) ^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 2736, in fetch_markets promisesRaw.append(self.fapiPublicGetExchangeInfo(params)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/types.py", line 34, in unbound_method return _self.request(self.path, self.api, self.method, params, config=self.config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 10089, in request response = self.fetch2(path, api, method, params, headers, body, config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 3523, in fetch2 return self.fetch(request['url'], request['method'], request['headers'], request['body']) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 651, in fetch raise NetworkError(details) from e ccxt.base.errors.NetworkError: binance GET https://fapi.binance.com/fapi/v1/exchangeInfo
stoploss: -0.171
timeframe: 30m
hash(sha256): 7d025a3d0d50b70ce67d24253cbf88d7f9b9e3d383acad3412de89d83a4c47f6
indicators:
upper mid lower bb_middleband rsi
close bb_upperband bb_lowerband

No similar strategies found. (based on used indicators)

last change: 2024-03-16 18:35:48